GROHTML(1)

NAME
grohtml - html driver for groff

SYNOPSIS
grohtml [-atTvdgm?] [-F dir] [-I imagetype] [-r resolution] [ files... ]

It is possible to have whitespace between a command line option and its parameter.

DESCRIPTION
grohtml translates the output of GNU troff to html. Normally grohtml should be invoked by using the groff command with a -Thtml option. If no files are given, grohtml will read the standard input. A filename of - will also cause grohtml to read the standard input. Html output is written to the standard output. When grohtml is run by groff options can be passed to grohtml using the groff -P option.

OPTIONS

-a  force grohtml to generate html line breaks in the same position as troff dictates. Without this option grohtml generates text in paragraphs which is formatted by the html browser.

-d  turn on internal debugging.

-g  tell grohtml not to try and guess titles and headings. By using this flag together with the -m and -a flag grohtml will treat the html browser as a printer, not as a formatter.

-m  leave margins alone. grohtml will not remove left margins.

-t  forbids grohtml from generating html tables when implementing indentation and tabular text. grohtml can implement .IP by tables or html indents. However if .2C is used it can only be sensibly converted to html using a table structure. As a few known bugs still exist with the html table code this option is present to supress execution of this development code. The default in grohtml is that html tables are generated when appropriate.

-T  forbids grohtml from generating images when processing output from tbl. This is useful when simple textual tables are being produced.

-Fdir
    Search the directory dir/devname for font and device description files; name is the name of the device, usually html.

-Iimagetype
    select the type of image generated when grohtml encounters an equation, table, or picture. By default this is png256. Legal image types are: gif and any of the png formats which are supported by ghostscript gs(1).

-rresolution
    select the resolution for all images. By default this is 80 pixels per inch. Example: -r100 indicates 100 pixels per inch.

-v  Print the version number.

-?  Display usage.

USAGE
There are styles called R, I, B, and BI mounted at font positions 1 to 4. It is advisable to invoke groff with the -mhtml macro set, which turns off headers, footers, and hyphenation; additionally, it will right justify text.

DEPENDENCIES
grohtml is dependent upon grops and gs. If grohtml has been configured to generate gif files then it is further dependent upon, ppmtogif, and ppmquant. However if it has been configured to generate png files (the default) then it is dependent upon gs having a png output device. Images are generated whenever a table, picture, equation or line is encountered.

BUGS
This is still very alpha. At least three major bugs remain: Firstly, grohtml sometimes miscalculates the end of an html table resulting in text which appears twice. Secondly equation numbers are not handled correctly. Thirdly equation macros and pic macros can confuse grohtml.

SEE ALSO
afmtodit(1), groff(1), troff(1), psbb(1), groff_out(5), groff_font(5), groff_char(7)